import * as $dara from '@darabonba/typescript';
import { ProcessSoarStrategyTaskResponseBody } from "./ProcessSoarStrategyTaskResponseBody";
export declare class ProcessSoarStrategyTaskResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ProcessSoarStrategyTaskResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
